Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Namespaces | Constant Groups
HashMap.h File Reference
`#include <boost/unordered_map.hpp>`
`#include "LuceneSync.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::HashMap< KEY, VALUE, HASH, EQUAL >
| Utility template class to handle hash maps that can be safely copied and shared. More...
class | Lucene::WeakHashMap< KEY, VALUE, HASH, EQUAL >
| Utility template class to handle weak keyed maps. More...

## Namespaces

| Lucene

## Constant Groups

| Lucene

clucene.sourceforge.net